Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.backport.java.util.concurrent
Class ThreadPoolExecutor.DiscardOldestPolicy

    java.lang.Object
      edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy

All Implemented Interfaces:
  RejectedExecutionHandler

Enclosing class:
  ThreadPoolExecutor

public static class ThreadPoolExecutor.DiscardOldestPolicy
extends java.lang.Object
implements RejectedExecutionHandler

A handler for rejected tasks that discards the oldest unhandled request and then retries `execute`, unless the executor is shut down, in which case the task is discarded.

Constructor Summary
`ThreadPoolExecutor.DiscardOldestPolicy()` Creates a `DiscardOldestPolicy` for the given executor.

Method Summary
`void` | `rejectedExecution(java.lang.Runnable r, ThreadPoolExecutor e)` Obtains and ignores the next task that the executor would otherwise execute, if one is immediately available, and then retries execution of task r, unless the executor is shut down, in which case task r is instead discarded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadPoolExecutor.DiscardOldestPolicy

    public ThreadPoolExecutor.DiscardOldestPolicy()

  Creates a `DiscardOldestPolicy` for the given executor.

Method Detail

### rejectedExecution

    public void rejectedExecution(java.lang.Runnable r,
                                  ThreadPoolExecutor e)

  Obtains and ignores the next task that the executor would otherwise execute, if one is immediately available, and then retries execution of task r, unless the executor is shut down, in which case task r is instead discarded.

  Specified by:
    `rejectedExecution` in interface `RejectedExecutionHandler`
  Parameters:
    `r` - the runnable task requested to be executed
    `e` - the executor attempting to execute this task

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD